package com.siwei.recyclebox.model;

import com.siwei.recyclebox.entity.DataEntity;
import com.siwei.recyclebox.http.HttpDataSource;

import io.reactivex.Observable;
import me.goldze.mvvmhabit.base.BaseModel;
import me.goldze.mvvmhabit.http.BaseResponse;

/**
 * MVVM的Model层，统一模块的数据仓库，包含网络数据和本地数据（一个应用可以有多个Repositor）
 */
public class MainModel extends BaseModel implements HttpDataSource {


    @Override
    public Observable<Object> login() {
        return null;
    }

    @Override
    public Observable<BaseResponse<DataEntity>> demoGet() {
        return null;
    }

    @Override
    public Observable<BaseResponse<DataEntity>> demoPost(String catalog) {
        return null;
    }
}
